package domain

type AlibabaHmMarketingItembuygiftDeleteactivityCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家的活动id     */
	OutActId *string `json:"out_act_id,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftDeleteactivityCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItembuygiftDeleteactivityCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftDeleteactivityCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItembuygiftDeleteactivityCommonActivityParam {
	s.OutActId = &v
	return s
}
